perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anoop kumar V" <anoopkum...@gmail.com>
Subject Re: mod_perl installation problem
Date Fri, 02 Mar 2007 13:35:30 GMT
Is it expected that the apachemonitor breaks when mod-perl is installed.

After I did the below steps, I can start Apache from the commandline, but
when I try using the ApacheMonitor tool from my task tray, it says the same
thing that "The requested operation has failed"

I tested this with smilar results on both Apache/2.2.4 (Win32) and
Apache/2.0.59.

Thanks,
Anoop

On 3/1/07, Anoop kumar V <anoopkumarv@gmail.com> wrote:
>
> Woww - thanks so much Randy - I tried this as you suggested and it works
> beautifully:
>
> C:\tools\Apache2\bin>ppm install
> http://theoryx5.uwinnipeg.ca/ppms/mod_perl-2.0.ppd
> Downloading mod_perl-2.0-2.0.3...done
> Unpacking mod_perl-2.0-2.0.3...done
> Generating HTML for mod_perl-2.0-2.0.3...done
> Updating files in site area...done
> Downloading mod_perl-2.0-2.0.3 install script...done
> Running mod_perl-2.0-2.0.3 install script...
> The Apache module mod_perl.so is needed to complete the installation,
> and should be placed in your Apache2 modules directory. I will
> now fetch and install this for you.
>
> Fetching http://theoryx5.uwinnipeg.ca/ppms/x86/mod_perl-2.0.so ...  done!
> Where should mod_perl.so be placed? [C:/Apache2/modules]
> c:/tools/Apache2/modules
> c:/tools/Apache2/modules/mod_perl.so exists. Overwrite? [no] yes
> mod_perl.so has been successfully installed to c:/tools/Apache2/modules
> done
>  465 files installed
>
> C:\tools\Apache2\bin>Apache
>
>
> Thanks again,
> Anoop
>
>
> On 3/1/07, Randy Kobes < randy@theoryx5.uwinnipeg.ca> wrote:
> >
> > On Thu, 1 Mar 2007, Anoop kumar V wrote:
> >
> > > I am having problems installing mod_perl. I have installed perl from
> > > ActivePerl-5.8.8.820-MSWin32-x86-274739. I still get the error
> > > "Cannot load C:/tools/Apache2/modules/mod_perl.so into server: The
> > specified
> > > module could not be found."
> > [ ... ]
> > > C:\tools\Apache2\bin>apache -v
> > > Server version: Apache/2.0.59
> > > Server built:   Jul 27 2006 15:55:03
> > [ ... ]
> > > C:\tools\Apache2\bin>ppm install
> > > http://theoryx5.uwinnipeg.ca/ppms/mod_perl.ppd
> >
> > For Apache/2.0.x, you need to
> >    C:\> ppm install http://theoryx5.uwinnipeg.ca/ppms/mod_perl-2.0.ppd
> > which is the ppm package appropriate for Apache/2.0.x - the
> > mod_perl.ppd package is for Apache/2.2.x.
> >
> > --
> > best regards,
> > Randy Kobes
> >
>
>
>
> --
> Thanks and best regards,
> Anoop
>



-- 
Thanks and best regards,
Anoop

Mime
View raw message